package com.dgtis.data.controller;

import com.dgtis.common.core.utils.DateUtils;
import com.dgtis.common.core.web.controller.BaseController;
import com.dgtis.common.core.web.domain.AjaxResult;
import com.dgtis.common.core.web.page.TableDataInfo;
import com.dgtis.common.security.annotation.PreAuthorize;
import com.dgtis.data.domain.InsuranceArrangement;
import com.dgtis.data.service.IInsuranceArrangementService;
import com.dgtis.system.api.domain.SysUser;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * 保单Controller
 * 
 * @author dgtly
 * @date 2021-01-20
 */
@Controller
@RequestMapping("/insuranceArrangement")
public class InsuranceArrangementController extends BaseController
{

    @Autowired
    private IInsuranceArrangementService insuranceArrangementService;

    /**
     * 获取用户列表
     */
    @GetMapping("/list")
    public TableDataInfo list(InsuranceArrangement insuranceArrangement)
    {
//        startPage();
        System.out.println(DateUtils.getTime());
//        InsuranceArrangement insuranceArrangement1 = insuranceArrangementService.selectInsuranceArrangementById("1");
        List<Map> list = insuranceArrangementService.selectInsuranceArrangementList(insuranceArrangement);
        System.out.println(DateUtils.getTime());
        return getDataTable(new ArrayList<>());
    }


    /**
     * 新增保存保单
     */
    @PostMapping("/add")
    @ResponseBody
    public AjaxResult addSave(InsuranceArrangement insuranceArrangement)
    {
        return toAjax(insuranceArrangementService.insertInsuranceArrangement(insuranceArrangement));
    }


    /**
     * 修改保存保单
     */
    @PostMapping("/edit")
    @ResponseBody
    public AjaxResult editSave(InsuranceArrangement insuranceArrangement)
    {
        return toAjax(insuranceArrangementService.updateInsuranceArrangement(insuranceArrangement));
    }

    /**
     * 删除保单
     */
    @PostMapping( "/remove")
    @ResponseBody
    public AjaxResult remove(String ids)
    {
        return toAjax(insuranceArrangementService.deleteInsuranceArrangementByIds(ids));
    }
}
